#ifndef CGEN2EXPLICITREADDIALOG_H
#define CGEN2EXPLICITREADDIALOG_H

#include <QDialog>
#include <ui_CGen2ExplicitReadDialog.h>
#include "../../../ui/ConfigDialog.h"

#include <QrfeReaderInterfaceGlobal>

class QrfeGen2Tag;

class CGen2ExplicitReadDialog : public QDialog, ConfigDialog
{
    Q_OBJECT

public:
    CGen2ExplicitReadDialog(QWidget *parent = 0);
    ~CGen2ExplicitReadDialog();

public slots:
    int exec(QrfeGen2Tag* tag);

    void read();
    void write();

    void paramsChanged();

private:
    QrfeGen2Tag*	m_tag;

    Ui::CGen2ExplicitReadDialogClass ui;
};

#endif // CGEN2EXPLICITREADDIALOG_H
